+++
title = "A free, open, online study builder"
description = "lab.js makes it easy to build powerful studies for the neuro- and behavioral sciences"
+++

{% jumbotron() %}
  <div class="container mt-xl-4">
    <div class="row">
      <div class="col-lg-7 order-lg-12">
        <img src="science.svg" alt="Beaker with fluid and bubbles" class="w-100">
      </div>
      <div class="col-lg-5 order-lg-1 mt-xl-5 text-center text-lg-left">
        <h2 class="display-4 mb-4">
          Online research<br>made easy
        </h2>
        <p class="lead">
          <strong>
            <code>lab.js</code> is a free, open, online study builder
          </strong><br class="d-none d-sm-inline d-lg-none d-xl-inline">
          for the behavioral and cognitive sciences.<br class="d-none d-sm-inline d-lg-none d-xl-inline">
          <span class="text-muted">
            (it works great in the lab, too)
          </span>
        </p>
      </div>
    </div>
  </div>
{% end %}

{% trapezoid(background="#ffc32d") %}
  <div class="container my-5">
    <div class="row">
      <div class="col-lg order-lg-12 screenshot text-center text-lg-left">
        <img src="builder_screenshot_1000.png" alt="lab.js builder interface screenshot" class="w-75" style="transform: rotate(2.5deg)">
      </div>
      <div class="col-lg order-lg-1 text-center text-lg-right d-lg-flex align-items-center justify-content-end">
        <div class="pl-lg-5 pt-5 pt-lg-0">
          <h3 class="h4"><strong>No code</strong> required</h3>
          <p><strong><code>lab.js</code> provides a visual interface</strong><br>
          so you can see the study as you build it.</p>
          <p>Thanks to our <strong>ready-made templates</strong>,<br>
          constructing studies couldn't be easier.</p>
        </div>
      </div>
    </div>
  </div>
{% end %}

{% trapezoid_inverse(background="#fff") %}
  <div class="container my-5">
    <div class="row">
      <div class="col-lg text-center text-lg-right d-lg-flex align-items-center justify-content-end">
        <i
          class="fas fa-stopwatch fa-fw fa-10x text-muted"
          style="transform: rotate(-15deg)"
        ></i>
      </div>
      <div class="col text-center text-lg-left d-lg-flex align-items-center justify-content-start">
        <div class="pr-lg-5 pt-5 pt-lg-3">
          <h3 class="h4"><strong>Uncompromising</strong> performance</h3>
          <p>The power of laboratory software,<br>
          anywhere there's a browser.</p>
        </div>
      </div>
    </div>
  </div>
{% end %}

{% trapezoid(background="#4285f4") %}
  <div class="container text-light my-5">
    <div class="row">
      <div class="col-lg order-lg-12 text-center text-lg-left d-lg-flex align-items-center justify-content-start">
        <i
          class="fas fa-plug fa-fw fa-10x text-light"
          style="transform: rotate(20deg)"
        ></i>
      </div>
      <div class="col-lg order-lg-1 text-center text-lg-right d-lg-flex align-items-center justify-content-end">
        <div class="pr-lg-5 pt-5 pt-lg-0">
          <h3 class="h4"><strong>Flexible</strong> and extensible</h3>
          <p>There are <strong>no limits</strong>:<br>
          If it's possible on a web page,<br>
          you can do it in a study.</p>
          <p><code>lab.js</code> supports your workflow,<br>
          whether you're collecting data offline,<br>
          using external data collection services,<br>
          or running studies on your own server.</p>
        </div>
      </div>
    </div>
  </div>
{% end %}

{% trapezoid(background="#fff") %}
  <div class="container">
    <div class="row">
      <div class="col-md screenshot py-4 pb-md-0">
        <img src="builder_screenshot_components_1000.png" alt="Adding components" class="w-100">
        <small class="text-muted">Studies are assembled<br>from individual <em>components</em> ...</small>
      </div>
      <div class="col-md screenshot py-4 pb-md-0">
        <img src="builder_screenshot_loop_1000.png" alt="Loop component view" class="w-100">
        <small class="text-muted">... for example <em>loops</em>,<br>which repeat parts of a study ...</small>
      </div>
      <div class="col-md screenshot py-4 pb-md-0">
        <img src="builder_screenshot_preview_1000.png" alt="Study preview" class="w-100">
        <small class="text-muted">... an <em>immediate preview</em><br>shows changes immediately.</small>
      </div>
    </div>
  </div>
{% end %}

{% trapezoid(background="#e9ecef") %}
  <div class="container py-4">
    <div class="row">
      <div class="col-lg pt-4 pt-md-0">
        <div class="pr-5">
          <h2 class="mt-0 mb-1" style="font-weight: 400">There's <em>so</em> much more!</h2>
          <p class="lead mt-2" style="font-weight: 300">Here are some things you can try:</p>
          <ul>
            <li>Learn how <code>lab.js</code> can help you with your <a href="/for/research">research</a> and <a href="/for/teaching">teaching</a>.</li>
            <li>Try the <a href="https://labjs.felixhenninger.com" target="_blank" rel="noopener">builder interface</a> online.</li>
            <li>Watch our <a href="https://labjs.readthedocs.io/en/latest/learn/builder/" target="_blank" rel="noopener">introductory tutorial</a> and build your first study in minutes.</li>
          </ul>
        </div>
      </div>
      <div class="col-lg font-weight-light">
        <hr class="d-lg-none py-2">
        <h3 class="d-lg-none mt-1 mb-4" style="font-weight: 400">Further resources</h3>
        <div class="media mb-4">
          <div class="media-body pr-5">
            <h5 class="mt-0 mb-1">Support</h5>
            You'll always find friendly people in our <a href="https://slackin-nmbrcrnchrs.herokuapp.com/" target="_blank" rel="noopener"><strong>Slack channel</strong></a>. We're happy to help!
          </div>
          <i class="ml-3 fas fa-life-ring fa-fw"></i>
        </div>
        <div class="media mb-4">
          <div class="media-body">
            <h5 class="mt-0 mb-1">Example studies</h5>
            <code>lab.js</code> comes with templates for many common paradigms.<br>
            Check out our gallery and get a head start!
          </div>
          <i class="ml-3 fas fa-box-open fa-fw"></i>
        </div>
        <div class="media mb-4">
          <div class="media-body">
            <h5 class="mt-0 mb-1">Workshops</h5>
            Learning to build studies is most fun in a group.<br>
            We offer workshops tailored to your lab's research.
          </div>
          <i class="ml-3 fas fa-graduation-cap fa-fw"></i>
        </div>
        <div class="media mb-4">
          <div class="media-body">
            <h5 class="mt-0 mb-1">Consulting</h5>
            Whether you're in a hurry or looking for a custom study,<br>
            we'll find an expert to help you. Please get in touch!
          </div>
          <i class="ml-3 fas fa-hands-helping fa-fw"></i>
        </div>
      </div>
    </div>
  </div>
{% end %}
