+++
title = "Publications"
weight = 3
+++

{% trapezoid(background="#007bff") %}
<div class="container text-light">
  <div class="row mt-5 mb-4">
    <div class="col-lg order-lg-12 text-center text-lg-right">
      <i
        class="fas fa-file-alt fa-fw fa-10x"
        style="transform: rotate(5deg)"
      ></i>
    </div>
    <div class="col-lg order-lg-1 mt-5 mt-lg-0 text-center text-lg-left">
      <h1>Publications</h1>
      <p class="lead">
        Learn more about the project.
      </p>
    </div>
  </div>
</div>
{% end %}


<div class="container my-5">
  <div class="card mb-3 w-100">
    <div class="row no-gutters">
      <div class="col-lg-6">
        <div class="card-body">
          <h2 class="h5 card-title">Project introduction</h5>
          <p class="card-text">Our main project publication is <a href="https://psyarxiv.com/fqr49">Henninger et al. (2020)</a>, which describes the features and timing characteristics of the <code>lab.js</code> builder, and provides a brief tutorial.</p>
          <p class="font-italic">In press at Behavior Research Methods</p>
          <a href="https://psyarxiv.com/fqr49" class="card-link">View on PsyArXiv</a>
          <a href="https://psyarxiv.com/fqr49/download" class="card-link">Download preprint</a>
          <hr>
          <h3 class="h6 card-subtitle mt-4 mb-3">Citation</h3>
          <blockquote class="small">
            Henninger, F., Shevchenko, Y., Mertens, U. K., Kieslich, P. J., & Hilbig, B. E. (2020). lab.js: A free, open, online study builder. doi: <a href="https://doi.org/10.5281/zenodo.597045">10.5281/zenodo.597045</a>
          </blockquote>
        </div>
      </div>
      <div class="col-lg-6" style="margin-bottom: -8px">
        <iframe
          src="https://mfr.de-1.osf.io/render?url=https://osf.io/download/5c3ec7427cf3f5001bb7a1bb/?direct%26mode=render"
          scrolling="yes" allowfullscreen=""
          marginheight="0" height="700" frameborder="0"
          class="w-100 rounded-right"
        >
        </iframe>
        <!-- TODO: rounded corners need to move responsively -->
      </div>
    </div>
  </div>
</div>
